Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface ConfigElement

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, NotificationBroadcaster, NotificationEmitter

All Known Subinterfaces:
  AccessLogConfig, AdminObjectResourceConfig, AppClientModuleConfig, AuditModuleConfig, AuthRealmConfig, AvailabilityServiceConfig, ClusterConfig, ClusteredServerConfig, ConfigConfig, ConnectionPoolConfig, ConnectorConnectionPoolConfig, ConnectorModuleConfig, ConnectorResourceConfig, ConnectorServiceConfig, CustomResourceConfig, DASConfig, DeployedItemRefConfig, DomainConfig, EJBContainerAvailabilityConfig, EJBModuleConfig, HTTPAccessLogConfig, HTTPFileCacheConfig, HTTPListenerConfig, HTTPProtocolConfig, HTTPServiceConfig, IIOPListenerConfig, IIOPServiceConfig, J2EEApplicationConfig, JACCProviderConfig, JavaConfig, JDBCConnectionPoolConfig, JDBCResourceConfig, JMSHostConfig, JMSResourceConfig, JMSServiceConfig, JMXConnectorConfig, JNDIResourceConfig, KeepAliveConfig, LifecycleModuleConfig, LogServiceConfig, MailResourceConfig, MessageSecurityConfig, ModuleConfig, ModuleLogLevelsConfig, ModuleMonitoringLevelsConfig, MonitoringServiceConfig, NamedConfigElement, PersistenceManagerFactoryResourceConfig, ProfilerConfig, ProviderConfig, QuorumServiceConfig, RARModuleConfig, RefConfig, RequestPolicyConfig, RequestProcessingConfig, ResourceAdapterConfig, ResourceConfig, ResourceRefConfig, ResponsePolicyConfig, SecurityServiceConfig, ServerConfig, ServerRefConfig, SessionConfig, SessionManagerConfig, SSLConfig, StandaloneServerConfig, ThreadPoolConfig, TransactionServiceConfig, VirtualServerConfig, WebContainerAvailabilityConfig, WebContainerConfig, WebModuleConfig

public interface ConfigElement
extends AMXConfig

Field Summary

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.